---
updatedAt: 2026-09-29T07:46:24.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get applicant data

# Overview

Use this method to get information about the [created applicant](https://docs.sumsub.com/sumsub/reference/create-applicants) — both `individual` and `company`.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View applicants** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/applicants/5b594ade0a975a89ju78yt77/one' \
     -H 'accept: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

<Callout icon="📘" theme="info">
  ### Note

  - Some data is shown only if it was recognized from the documents or provided by the applicant.
  - To make sure you have fetched the data from a relevant document, you can get what `idDocType` and `country` was approved using [this method](https://docs.sumsub.com/sumsub/reference/get-applicant-verification-steps-status).
</Callout>

<Callout icon="👍" theme="okay">
  ### Tip

  If the applicant ID is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method.
</Callout>

# Response explained

The response is a JSON object representing the applicant profile that you created (or that Sumsub created for you, for example via the [WebSDK](/docs/web-sdk)), enriched with structured data.

The presence of certain fields depends on the documents and data submitted for verification, applicable verification rules, and the permissions assigned to the [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) at creation time.

Below, you can see the response structure, possible content with descriptions, and examples of response:

* [Root variables](#root-variables)
* [info](#info-attributes)
  * [companyInfo](#companyinfo-attributes)
    * [beneficiaries](#beneficiaries-element-fields)
    * [beneficiaryinfo ](#beneficiaryinfo-attributes)
  * [idDocs](#iddocs-element-fields)
    * [nfcInfo](#nfcinfo-attributes)
  * [address](#address-attributes-and-addresses-element-fields), [addresses](#address-attributes-and-addresses-element-fields)
* [fixedInfo](#fixedinfo-attributes)
* [agreement](#agreement-attributes)
* [requiredIdDocs](#requirediddocs-attributes)
  * [docSets](#docsets-element-fields)
    * [fields](#fields-element-fields)
    * [customFields](#customfields-element-fields)
    * [companyBeneficiaryDefinitions](#companybeneficiarydefinitions-element-fields)
    * [individual](#individual-and-company-attributes), [company](#individual-and-company-attributes)
    * [companyDocsGroupDefinitions](#companydocsgroupdefinitions-element-fields)
* [review](#review-attributes)
  * [reviewResult](#reviewresult-attributes)
* [assessment](#assessment-attributes)
  * [scores](#scores-element-fields)
  * [rules](#rules-element-fields)
* [questionnaires](#questionnaires-element-fields)
  * [sections](#sections-element-fields)
  * [items](#items-element-fields)
* [notes](#notes-element-fields)
* [memberOf](#memberof-element-fields)
* [Response examples](#response-examples)

## Root variables

Root variables are the core applicant profile data items. Some of them may include nested attributes and element fields.

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `id`
      </td>

      <td>
        String
      </td>

      <td>
        Unique applicant identifier in the Sumsub system (`applicantId`).

        This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side.
      </td>
    </tr>

    <tr>
      <td>
        `createdAt`
      </td>

      <td>
        Date
      </td>

      <td>
        Date and time (GMT) when the applicant profile was created in the Sumsub system, in the format: `YYYY-MM-DD HH:MI:SS`.
      </td>
    </tr>

    <tr>
      <td>
        `clientId`
      </td>

      <td>
        String
      </td>

      <td>
        Unique identifier of you as our client in the Sumsub system.

        This identifier is assigned to you when you are registered in and get access to the Sumsub system. It usually resembles your name or your company name. `clientId` is automatically added to the applicant profile when it is created.
      </td>
    </tr>

    <tr>
      <td>
        `inspectionId`
      </td>

      <td>
        String
      </td>

      <td>
        Unique combination of digits and characters to identify all actions with the applicant’s ID documents. Added automatically when the applicant is created.
      </td>
    </tr>

    <tr>
      <td>
        `externalUserId`
      </td>

      <td>
        String
      </td>

      <td>
        Unique applicant identifier as registered on your side.

        When [creating an applicant](https://docs.sumsub.com/sumsub/reference/create-applicants), you can generate and add the `externalUserId` manually, or it will be automatically generated and added to the applicant profile by Sumsub.

        This field supports up to 512 characters.
      </td>
    </tr>

    <tr>
      <td>
        `sourceKey`
      </td>

      <td>
        String
      </td>

      <td>
        [Source key](/docs/source-keys) that helps you group clients that send applicants.
      </td>
    </tr>

    <tr>
      <td>
        `structuredMetadata`
      </td>

      <td>
        Object
      </td>

      <td>
        Includes the `readOnlySettings` array, which may contain the `dashboard` value indicating that the applicant is read-only in the Dashboard but remains editable via the API and SDK.

        If `readOnlySettings` is `null`, the `structuredMetadata` field is not returned.
      </td>
    </tr>

    <tr>
      <td>
        `info`
      </td>

      <td>
        [Object](#info-attributes)
      </td>

      <td>
        General applicant information recognized from the documents that Sumsub cross-validates with the applicant data provided (`fixedInfo`).

        Note that `info` and `fixedInfo` objects have the same attributes.
      </td>
    </tr>

    <tr>
      <td>
        `fixedInfo`
      </td>

      <td>
        [Object](#fixedinfo-attributes)
      </td>

      <td>
        General applicant information that is submitted by the applicant via the [Web](/docs/web-sdk) or [Mobile](/docs/mobile-sdk) SDK or by you via [this API method](/reference/create-applicants). Sumsub should not change this information but use it to cross-validate with the data recognized from the applicant documents.

        Note that `info` and `fixedInfo` objects have the same attributes.
      </td>
    </tr>

    <tr>
      <td>
        `email`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant email address.

        It is mandatory if the email verification is required. If not provided, the applicant cannot receive [verification status emails](/docs/review-results-in-applicant-profile#send-verification-status-email).

        This field must contain a valid email address in an [RFC 5321/5322](https://en.wikipedia.org/wiki/Email_address) format with TLD verification.
      </td>
    </tr>

    <tr>
      <td>
        `phone`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant phone number.

        It is mandatory if the phone verification is required.

        This field must contain a valid phone number in [ITU-T E.164](https://en.wikipedia.org/wiki/E.164) format.
      </td>
    </tr>

    <tr>
      <td>
        `applicantPlatform`
      </td>

      <td>
        String
      </td>

      <td>
        The platform from which the applicant registered in the system and/or provided profile data (`API`, `Web`, `Android`, `iOS`).
      </td>
    </tr>

    <tr>
      <td>
        `ipCountry`
      </td>

      <td>
        String
      </td>

      <td>
        Alpha-3 country code (for example, `DEU`, `GBR`, `ARE`) of the country that owns the IP address from which the applicant got registered and/or submitted the data.
      </td>
    </tr>

    <tr>
      <td>
        `authCode`
      </td>

      <td>
        String
      </td>

      <td>
        JWT token to sign in a user.

        For more details, refer to [WebSDK Settings](/docs/websdk-settings).
      </td>
    </tr>

    <tr>
      <td>
        `agreement`
      </td>

      <td>
        [Object](#agreement-attributes)
      </td>

      <td>
        Contains information about the applicant consent to submitting and processing the personal data.
      </td>
    </tr>

    <tr>
      <td>
        `requiredIdDocs`
      </td>

      <td>
        [Object](#requirediddocs-attributes)
      </td>

      <td>
        Configuration of steps for the applicant to complete verification.

        It includes step types (for example,  `IDENTITY`, `SELFIE`) and the documents appropriate for each step (for example, `PASSPORT`, `ID_CARD`, `RESIDENCE_PERMIT`), or necessary data fields to be filled in.

        For example, the `APPLICANT_DATA` step type includes a list of fields the applicant must fill in, so we could proceed with verification.
      </td>
    </tr>

    <tr>
      <td>
        `deleted`
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates whether the [applicant profile has ever been deactivated](https://docs.sumsub.com/sumsub/reference/deactivate-applicant-profile).<ul><li><code>true</code> — applicant profile is currently deactivated.</li><li><code>false</code> — applicant profile was previously deactivated but has since been reactivated.</li></ul>
      </td>
    </tr>

    <tr>
      <td>
        `review`
      </td>

      <td>
        [Object](#review-attributes)
      </td>

      <td>
        Explains the details of the current applicant verification status and check result.
      </td>
    </tr>

    <tr>
      <td>
        `lang`
      </td>

      <td>
        String
      </td>

      <td>
        Two-letter code of the language ([ISO 639-1](https://en.wikipedia.org/wiki/ISO_639-1) format, for example, `en`, `fr`, `de`) for the SDK and emails sent to the applicant.

        The verification results should be displayed to the applicant in this language as well. As a rule, it is detected by the applicant IP address. You can set the language when [initializing the SDK](/docs/set-up-frontend-integration) (MSDK), or via API when [creating an applicant](/reference/create-applicants).
      </td>
    </tr>

    <tr>
      <td>
        `metadata`
      </td>

      <td>
        Array of objects
      </td>

      <td>
        The metadata field contains additional information in the form of key-value pairs (keys must not be null). This data is not displayed to the end-user. For example: `[{"key": "keyFromClient", "value": "valueFromClient"}]`.
      </td>
    </tr>

    <tr>
      <td>
        `type`
      </td>

      <td>
        Enum
      </td>

      <td>
        Defines the [applicant type](/docs/applicants). Added automatically when the applicant is created.

        The following entity types are available: <ul><li><code>individual</code> — for applicants registered and checked as individuals.</li><li><code>company</code> — for applicants registered and checked as legal entities.</li></ul>
      </td>
    </tr>

    <tr>
      <td>
        `registrationDate`
      </td>

      <td>
        Date
      </td>

      <td>
        Date and time when the applicant was initially registered in your system. Format: `YYYY-MM-DD hh:mm:ss` (for example, `2025-01-15 10:20:35`).
      </td>
    </tr>

    <tr>
      <td>
        `riskLabels`
      </td>

      <td>
        Object
      </td>

      <td>
        Contains information on the [applicant risk labels](https://docs.sumsub.com/sumsub/docs/applicant-risk-labels).
      </td>
    </tr>

    <tr>
      <td>
        `assessment`
      </td>

      <td>
        [Object](#assessment-attributes)
      </td>

      <td>
        Includes applicant assessment data, such as the total score, scores based on specific factors, scoring tags, score weights, whether scores are included in the total score, related transactions with dates, and other assessment details.
      </td>
    </tr>

    <tr>
      <td>
        `questionnaires`
      </td>

      <td>
        [Array of objects](#questionnaires-element-fields)
      </td>

      <td>
        Includes the objects describing [questionnaires](/docs/questionnaire) that the applicant is given to complete during (or after) verification. If the applicant has already filled a questionnaire, you can see the submitted answers in the `value` fields.
      </td>
    </tr>

    <tr>
      <td>
        `notes`
      </td>

      <td>
        [Array of objects](#notes-element-fields)
      </td>

      <td>
        Includes the objects representing [notes](/docs/review-results-in-applicant-profile#manage-notes) added to the applicant profile by you or by Sumsub operators.
      </td>
    </tr>

    <tr>
      <td>
        `tags`
      </td>

      <td>
        Array of strings
      </td>

      <td>
        Contains [tags](/docs/review-results-in-applicant-profile#assign-tags) that you have created and then assigned to the applicant.
      </td>
    </tr>

    <tr>
      <td>
        `memberOf`
      </td>

      <td>
        [Array of objects](#memberof-element-fields)
      </td>

      <td>
        Includes data objects with the applicant companies' IDs the beneficiary of which the applicant is and which are registered in the Sumsub system.
      </td>
    </tr>

    <tr>
      <td>
        `creationTrackingData`
      </td>

      <td>
        [Object](#creationtrackingdata-attributes)
      </td>

      <td>
        Tracking data captured at applicant creation. Present only when it was submitted in the request or resolved from a behavioral access token.
      </td>
    </tr>
  </tbody>
</Table>

## `info` attributes

The following table explains the `info` object attributes — general applicant information recognized from the documents that Sumsub cross-validates with the applicant data provided ([fixedInfo](#fixedinfo-attributes)).

<Callout icon="📘" theme="info">
  ### Note

  In some documents, the applicant name may be presented as a single line without a clear separation into first and last name components. In such cases, the system returns the extracted name value in the `firstName` field only.
</Callout>

| Field            | Type                                                                 | Description                                                                                                                                                                                                                                                                              |
| :--------------- | :------------------------------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `companyInfo`    | [Object](#companyinfo-attributes)                                    | The object contains general information about the company, such as the company name, location and country of registration, legal entity type, contacts and other details.                                                                                                                |
| `firstName`      | String                                                               | Applicant first name in the original language. There is no length limit for this field.                                                                                                                                                                                                  |
| `firstNameEn`    | String                                                               | Automatic transliteration of the applicant first name into Latin characters. There is no length limit for this field.                                                                                                                                                                    |
| `middleName`     | String                                                               | Applicant middle name in the original language. There is no length limit for this field.                                                                                                                                                                                                 |
| `middleNameEn`   | String                                                               | Automatic transliteration of the applicant middle name into Latin characters. There is no length limit for this field.                                                                                                                                                                   |
| `lastName`       | String                                                               | Applicant last name in the original language. There is no length limit for this field.                                                                                                                                                                                                   |
| `lastNameEn`     | String                                                               | Automatic transliteration of the applicant last name into Latin characters. There is no length limit for this field.                                                                                                                                                                     |
| `aliasName`      | String                                                               | Alternative first/last name.                                                                                                                                                                                                                                                             |
| `legalName`      | String                                                               | Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.<br />Note that the `legalName` field is not checked and you might need it just in case.<br />There is no length limit for this field. |
| `gender`         | String                                                               | Gender of the applicant (`M`, `F`, or `X`). This field is omitted if gender is not specified in the applicant profile.                                                                                                                                                                   |
| `dob`            | Date                                                                 | Applicant date of birth ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format `yyyy-MM-dd`, for example,  `2001-09-25`).                                                                                                                                                            |
| `estimatedAge`   | Float                                                                | Applicant age estimated by Sumsub from their most recent usable selfie, using facial/liveness analysis. This is a Sumsub-computed value — it cannot be set or changed through the API. Present once the applicant has submitted at least one usable selfie; absent otherwise.            |
| `placeOfBirth`   | String                                                               | Applicant place of birth. This can be a city, a town or another settlement type. There is no length limit for this field.                                                                                                                                                                |
| `placeOfBirthEn` | String                                                               | Automatic transliteration of the applicant place of birth. There is no length limit for this field.                                                                                                                                                                                      |
| `countryOfBirth` | String                                                               | Applicant country of birth. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example, `DEU`, `GBR`, `ARG`).                                                                                                                      |
| `stateOfBirth`   | String                                                               | State, region, district, county or another territorial entity of birth inside a country, if applicable.                                                                                                                                                                                  |
| `country`        | String                                                               | Country that issued the applicant's document. Presented as an [ISO 3166-1 alpha-](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3)3 country code (for example,  `DEU`, `GBR`, `ARG`).                                                                                                   |
| `nationality`    | String                                                               | Applicant country of origin. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example,  `DEU`, `GBR`, `ARG`).                                                                                                                    |
| `addresses`      | [Array of objects](#address-attributes-and-addresses-element-fields) | Includes data objects containing the applicant address details extracted from the PoA documents submitted by the applicant.                                                                                                                                                              |
| `tin`            | String                                                               | Taxpayer identification number that is unique to each taxpayer.<br />⚠️This field has a country-specific format.                                                                                                                                                                         |
| `idDocs`         | [Array of objects](#iddocs-element-fields)                           | Includes data objects containing information extracted from the applicant documents, which can be useful in cases where a verification has been completed.                                                                                                                               |

## `companyInfo` attributes

The following table explains the `companyInfo` object attributes representing the company applicant data.

⚠️ This object is only available for company applicants.

| Field                  | Type                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| :--------------------- | :--------------------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `companyName`          | String                                                     | The name of the company. There is no length limit for this field.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `registrationNumber`   | String                                                     | Unique number that is assigned to the company when it was registered as a legal entity.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `country`              | String                                                     | [ISO 3166-1 alpha-3 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) of the country where the company is legally registered (for example, `DEU`, `GBR`).                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `alternativeNames`     | Array of strings                                           | List of alternative names of the company: a brand name, business trademark, name in a local language, and so on. For example, "Megacorp" instead of "The Megacorp ABC Inc." These names also undergo AML screening.                                                                                                                                                                                                                                                                                                                                                                                                                |
| `legalAddress`         | String                                                     | Address a legal entity uses to register with a legal authority.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `incorporatedOn`       | Date                                                       | Date of company incorporation ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format `yyyy-MM-dd`, for example, `2001-09-25`).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `applicantPosition`    | String                                                     | Applicant position in regards to the company.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `type`                 | String                                                     | Type of legal entity. For example, private company limited by shares, public limited company, state-owned enterprise, and so on.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `email`                | String                                                     | Company email address ([RFC 5321/5322](https://en.wikipedia.org/wiki/Email_address) format).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `phone`                | String                                                     | Company phone number ([ITU-T E.164](https://en.wikipedia.org/wiki/E.164) format).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `taxId`                | String                                                     | Taxpayer registration number/Code of taxpayer registration.<br />⚠️This field has a country-specific format.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `leiCode`              | String                                                     | Legal Entity Identifier (LEI) code. Refers to the public identifier from the financial entities registry.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `registrationLocation` | String                                                     | City, town, or another location where the company was registered.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `website`              | String                                                     | Website URL of the company.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `postalAddress`        | String                                                     | Company postal address.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `address`              | [Object](#address-attributes-and-addresses-element-fields) | Represents the company address.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `companyAddresses`     | [Array of objects](#companyaddresses-element-fields)       | List of the company structured addresses.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `controlScheme`        | String                                                     | Description of the control scheme of the company ownership or group of entities.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `skippedTypes`         | Array of strings                                           | Includes the required values to verify a company applicant without the corresponding entities specified in the company profile.<br /><br />Available values: `shareholder`, `ubo`, `representative`, `director`, `companyOfficer`, `investor`, `secretary`, `founder`, `legalAdvisor`, `authorizedSignatory`, `trustee`, `trustBeneficiary`, `trustSettlor`, `trustProtector`, `managingPartner`, `equityPartner`, `fundInvestor`, `fundManager`, `investmentManager`, `investmentAdviser`, `fundAdministrator`, `depositary`, `custodian`, `primeBroker`, `accountUser`.<br /><br />⚠️ Applicable to the `fixedInfo` object only. |
| `noDocs`               | Boolean                                                    | Indicates whether company documents must be uploaded to proceed verification.<ul><li><code>true</code> — uploading company documents is optional.</li><li><code>false</code> (default) — at least one document must be uploaded.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                         |
| `beneficiaries`        | [Array of objects](#beneficiaries-element-fields)          | Contains `applicantId`s of beneficiaries and additional information such as position and type.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |

## `companyAddresses[]` element fields

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `id`
      </td>

      <td>
        String
      </td>

      <td>
        Address identifier. Generated by the service when the address is created.
      </td>
    </tr>

    <tr>
      <td>
        `addressTypes`
      </td>

      <td>
        Array of strings
      </td>

      <td>
        Address types assigned to this address. Possible values:

        - `trade` — trade point address.
        - `legal` — legal registration address.
        - `postal` — postal or office address.
      </td>
    </tr>

    <tr>
      <td>
        `main`
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates whether this address is the main one within its address type.
      </td>
    </tr>

    <tr>
      <td>
        `imageId`
      </td>

      <td>
        Integer
      </td>

      <td>
        Identifier of an uploaded proof-of-address image, if one was attached.
      </td>
    </tr>

    <tr>
      <td>
        `address`
      </td>

      <td>
        [Object](#companyaddresses-address-attributes)
      </td>

      <td>
        Structured company address. See `address` attributes below.
      </td>
    </tr>
  </tbody>
</Table>

## `companyAddresses[].address` attributes

| Field              | Type   | Description                                                                                                                            |
| :----------------- | :----- | :------------------------------------------------------------------------------------------------------------------------------------- |
| `street`           | String | Street and building.                                                                                                                   |
| `town`             | String | Town or city.                                                                                                                          |
| `postCode`         | String | Postal code.                                                                                                                           |
| `stateCode`        | String | State code based on the address, in the [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) format (for example, `TR-34`, `AD-07`). |
| `country`          | String | 3-letter ISO 3166-1 alpha-3 country code (for example, `FIN`).                                                                         |
| `formattedAddress` | String | Full address as a single string.                                                                                                       |

## `beneficiaries` element fields

The following table describes the `beneficiaries` array of objects containing `applicantId`s of beneficiaries and additional information such as their position and type within the company.

⚠️ The `beneficiaries` array is only available for company applicants.

| Field             | Type                                  | Description                                                                                                                                                                                 |
| :---------------- | :------------------------------------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`              | String                                | Beneficiary identifier that is autogenerated for all KYB beneficiaries when they are added to the company structure.<br />⚠️ Beneficiary identifier is not the equivalent of `applicantId`. |
| `applicant`       | Object                                | [Applicant profile data](#root-variables).                                                                                                                                                  |
| `applicantId`     | String                                | Applicant identifier of the beneficiary in the Sumsub system.                                                                                                                               |
| `beneficiaryInfo` | [Object](#beneficiaryinfo-attributes) | Structure that contains the beneficiary contact data.                                                                                                                                       |
| `types`           | Array of strings                      | Beneficiary roles for the new data structure, where a single entity can have multiple roles.<br /><br />See [Available values for types array](#available-values-for-types-array).          |
| `shareSize`       | Double                                | Percentage of ownership if the beneficiary is a shareholder of the company.                                                                                                                 |

## `beneficiaryInfo` attributes

The following table explains the `beneficiaryInfo` attributes representing the beneficiary contact data.

⚠️ Available for company applicants only.

| Field                 | Type   | Description                                                                                                |
| :-------------------- | :----- | :--------------------------------------------------------------------------------------------------------- |
| `firstName`           | String | First name of the beneficiary. There is no length limit for this field.                                    |
| `lastName`            | String | Last name of the beneficiary. There is no length limit for this field.                                     |
| `dob`                 | Date   | Beneficiary date of birth.                                                                                 |
| `email`               | String | Beneficiary email address ([RFC 5321/5322](https://en.wikipedia.org/wiki/Email_address)format).            |
| `taxResidenceCountry` | String | Country where the beneficiary pays taxes. Presented as an alpha-3 code (for example, `DEU`, `GBR`, `ARG`). |
| `shareSize`           | Double | Percentage of ownership if the beneficiary is a shareholder of the company.                                |

## Available values for `types` array

The following table describes the available types array values, which represent beneficiary roles in the new data structure, where a single entity can have multiple roles.

| Value                 | Role description                                                                                                                                                        |
| :-------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ubo`                 | Ultimate beneficial owner of the company.                                                                                                                               |
| `shareholder`         | Owns shares in the company stock.                                                                                                                                       |
| `representative`      | Authorized to act or speak for or in support of the company.                                                                                                            |
| `director`            | Appointed to manage the company business and affairs.                                                                                                                   |
| `companyOfficer`      | Holds an executive position within the company (e.g., CEO, CFO, COO).<br /><br />⚠️ Not verifiable by Sumsub, for your internal use only.                               |
| `investor`            | Provides capital to the company without necessarily holding controlling shares.<br /><br />⚠️ Not verifiable by Sumsub, for your internal use only.                     |
| `secretary`           | Responsible for administrative tasks and regulatory compliance of the company.                                                                                          |
| `founder`             | Established the company or contributed to its initial creation.                                                                                                         |
| `legalAdvisor`        | Professionally provides legal counsel or representation for the company.                                                                                                |
| `authorizedSignatory` | Officially authorized to sign documents and contracts on behalf of the company.                                                                                         |
| `trustee`             | Holds assets in a trust for the benefit of beneficiaries. Should be used exclusively for Trust flows.                                                                   |
| `trustBeneficiary`    | Entitled to benefit from assets held in a trust. Should be used exclusively for Trust flows.                                                                            |
| `trustSettlor`        | Creates a trust and transfers assets into it. Should be used exclusively for Trust flows.                                                                               |
| `trustProtector`      | Appointed to oversee the administration of a trust to safeguard the interests of beneficiaries. Should be used exclusively for Trust flows.                             |
| `managingPartner`     | Exercises management or decision-making authority over the partnership (for example, General Partner or Designated Partner).                                            |
| `equityPartner`       | Holds an interest in the partnership, including rights to its profits, assets, or capital (for example, Limited Partner, Member, or Partner).                           |
| `fundInvestor`        | Holds an ownership, investment, economic, or equivalent interest in the fund.                                                                                           |
| `fundManager`         | Exercises management or decision-making authority over the fund.                                                                                                        |
| `investmentManager`   | Manages the fund's investments or portfolio in accordance with the fund's investment strategy and applicable mandate, with authority to make investment decisions.      |
| `investmentAdviser`   | Provides investment advice or recommendations concerning the fund's investments or portfolio, and may have authority to make investment decisions on the fund's behalf. |
| `fundAdministrator`   | Performs administrative and operational functions for the fund, including maintaining fund records and supporting accounting, reporting, and investor servicing.        |
| `depositary`          | Oversees the safekeeping and custody of the fund's assets and performs the oversight functions required under the applicable regulatory framework. Company only.        |
| `custodian`           | Provides custody and safekeeping services for the fund's assets. Company only.                                                                                          |
| `primeBroker`         | Provides brokerage, financing, custody, and related services to the fund, typically in connection with its investment activities. Company only.                         |
| `accountUser`         | Is granted access to the account to be opened.                                                                                                                          |

## `idDocs` element fields

The following table explains the data objects representing the details of identity documents provided by the applicant.

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `idDocType`
      </td>

      <td>
        String
      </td>

      <td>
        Type of document that is specified in the level to be provided for verification. For example, `PASSPORT`, `UTILITY_BILL`, `VEHICLE_REGISTRATION_CERTIFICATE`, and so on.

        See the lists of [supported document types](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-document-types)  and [supported company document types](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-company-document-types) for details.
      </td>
    </tr>

    <tr>
      <td>
        `ocrDocType`
      </td>

      <td>
        String
      </td>

      <td>
        <p>Specifies the document subtype as a full type identifier (for example, <code>cyp.rp.type1</code>, <code>nga.nins.type2</code>, and so on). The identifier typically follows this structure:</p><ol><li>Alpha-3 country code (<code>deu</code>, <code>gbr</code>, <code>arg</code>, and so on).</li><li>Document type, (for example, ID card <code>id</code>, driving license <code>drvlic</code>, residence permit <code>rp</code>, and so on).</li><li>Subtype category (for example, <code>type1</code>, <code>type2</code>, <code>type3</code>) – often used to determine different varieties of the document type.</li></ol><p>Additional variations may be the following:</p><ul><li>State-level identifiers for supported countries (for example, <code>usa.drvlic.al.type2</code>, <code>can.drvlic.on.type1</code>).</li><li>Unique document identifiers when supported (for example, <code>sgp.work.type1</code>, <code>gbr.drvlic.provisional.type1</code>, <code>ind.aadhaar.type1</code>).</li></ul><p>If the subtype cannot be determined, the field is returned empty.</p><p>⚠️ <b>Note:</b> This field is intended for analytical purposes only. Do not rely on its value for critical business logic, as it may not always be determinable with full accuracy.</p>
      </td>
    </tr>

    <tr>
      <td>
        `country`
      </td>

      <td>
        String
      </td>

      <td>
        [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code (for example,  `DEU`, `GBR`, `ARG`) of the country where the document was issued.
      </td>
    </tr>

    <tr>
      <td>
        `firstName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant first name in the original language as it is in the document. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `firstNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant first name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `middleName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant middle name in the original language as it is in the document. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `middleNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant middle name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `lastName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant last name in the original language as it is in the document. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `lastNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant last name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `aliasName`
      </td>

      <td>
        String
      </td>

      <td>
        Alternative first/last name.
      </td>
    </tr>

    <tr>
      <td>
        `title`
      </td>

      <td>
        String
      </td>

      <td>
        A word or abbreviation placed before a person's name to indicate their profession, social rank, academic degree, or form of address (`Dr`, `Mr`, `Ms`, `Prof`, and so on).
      </td>
    </tr>

    <tr>
      <td>
        `issuedDate`
      </td>

      <td>
        Date
      </td>

      <td>
        Date when the identity document was issued (format `YYYY-MM-DD`).
      </td>
    </tr>

    <tr>
      <td>
        `issueAuthority`
      </td>

      <td>
        String
      </td>

      <td>
        Official name of the authority that issued the document.
      </td>
    </tr>

    <tr>
      <td>
        `issueAuthorityCode`
      </td>

      <td>
        String
      </td>

      <td>
        Code of the Issuing Authority that is in charge of issuing the uploaded document.
      </td>
    </tr>

    <tr>
      <td>
        `termless`
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates whether the document is marked as valid indefinitely (`true`) or not (`false`); see the `validUntil` field for the expiration date.

        ⚠️ For now, `"validUntil": "2099-01-01"` will be returned for documents marked as indefinite (`"termless": true`). This is a temporary behavior and will be discontinued in the coming months.
      </td>
    </tr>

    <tr>
      <td>
        `validUntil`
      </td>

      <td>
        Date
      </td>

      <td>
        Date when the document validity expires.
      </td>
    </tr>

    <tr>
      <td>
        `extendedValidUntil`
      </td>

      <td>
        Date
      </td>

      <td>
        Additional date when the document validity expires, in case the document validity has been extended (format: `YYYY-MM-DD`, for example, `2029-05-20`).

        ⚠️ Returned only if custom rules are applied to extend `validUntil`, or if country-specific document prolongation rules are in effect.
      </td>
    </tr>

    <tr>
      <td>
        `dlCategoryBIssuedDate`
      </td>

      <td>
        Date
      </td>

      <td>
        Date when driving-licence category B was issued (format `YYYY-MM-DD`); `null` when not present.
      </td>
    </tr>

    <tr>
      <td>
        `dlCategoryBValidUntil`
      </td>

      <td>
        Date
      </td>

      <td>
        Date when driving-licence category B expires (format `YYYY-MM-DD`); `null` when not present.
      </td>
    </tr>

    <tr>
      <td>
        `dlCategoryAmIssuedDate`
      </td>

      <td>
        Date
      </td>

      <td>
        Date when driving-licence category AM was issued (format `YYYY-MM-DD`); `null` when not present.
      </td>
    </tr>

    <tr>
      <td>
        `entitlementDate`
      </td>

      <td>
        Date
      </td>

      <td>
        Date of entitlement extracted for German driving licences (subtypes `deu.drvlic.type1` and `deu.drvlic.type2`) from the handwritten sticker (field `10`), in `YYYY-MM-DD` format.
      </td>
    </tr>

    <tr>
      <td>
        `number`
      </td>

      <td>
        String
      </td>

      <td>
        Unique registration number of the document.
      </td>
    </tr>

    <tr>
      <td>
        `additionalNumber`
      </td>

      <td>
        String
      </td>

      <td>
        Usually, it is a sort of personal number. For example, DNI in Spain, CRP in Brazil, or ARC in Cyprus.
      </td>
    </tr>

    <tr>
      <td>
        `serialNumber`
      </td>

      <td>
        String
      </td>

      <td>
        ID document serial number (up to 64 characters). For example, the INE identifier on Mexican ID cards.
      </td>
    </tr>

    <tr>
      <td>
        `visaType`
      </td>

      <td>
        String
      </td>

      <td>
        Visa category, returned only for VISA documents. Auto-extracted where supported and editable by moderators.<br /><br />One of the following:

        - `A` — airport transit visa.
        - `C` — short-stay visa.
        - `D` — long-stay visa.
      </td>
    </tr>

    <tr>
      <td>
        `dob`
      </td>

      <td>
        Date
      </td>

      <td>
        Applicant date of birth ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601), in the format `yyyy-MM-dd` (for example,  `2001-09-25`) as it is specified in the document.
      </td>
    </tr>

    <tr>
      <td>
        `address`
      </td>

      <td>
        [Object](#address-attributes-and-addresses-element-fields)
      </td>

      <td>
        Includes the applicant address details.
      </td>
    </tr>

    <tr>
      <td>
        `ethnicity`
      </td>

      <td>
        String
      </td>

      <td>
        Indicates the applicant's ethnic background. Presented as a custom value.
      </td>
    </tr>

    <tr>
      <td>
        `mrzLine1`
      </td>

      <td>
        String
      </td>

      <td>
        A line of MRZ (machine-readable zone) from the document. Additional lines, such as `mrzLine2` and `mrzLine3`, may also be present if available. The number indicates the line position in sequential order.
      </td>
    </tr>

    <tr>
      <td>
        `nfcInfo`
      </td>

      <td>
        [Object](#nfcinfo-attributes)
      </td>

      <td>
        Includes the data extracted from the NFC chip of an identity document.
      </td>
    </tr>

    <tr>
      <td>
        `withNfc`
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates whether the document contains NFC data (`true`), or not (`false`).
      </td>
    </tr>
  </tbody>
</Table>

## `address` attributes and `addresses` element fields

The following table explains the `address` attributes and `addresses` element fields containing the applicant address details.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`buildingName`",
    "0-1": "String",
    "0-2": "Building name.",
    "1-0": "`flatNumber`",
    "1-1": "String",
    "1-2": "Flat or apartment number.",
    "2-0": "`subStreet`",
    "2-1": "String",
    "2-2": "Additional information related to the street. This could be a house number or any other details.",
    "3-0": "`subStreetEn`",
    "3-1": "String",
    "3-2": "Automatic transliteration of the additional information related to the street into Latin characters.",
    "4-0": "`street`",
    "4-1": "String",
    "4-2": "Street name.",
    "5-0": "`streetEn`",
    "5-1": "String",
    "5-2": "Automatic transliteration of the street name into Latin characters.",
    "6-0": "`state`",
    "6-1": "String",
    "6-2": "State, region, district, county or another territorial entity inside a country.",
    "7-0": "`stateEn`",
    "7-1": "String",
    "7-2": "Automatic transliteration of the territorial entity into Latin characters.",
    "8-0": "`stateCode`",
    "8-1": "String",
    "8-2": "Applicant state code based on the address. A list of state codes is based on the [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) format (for example, `TR-34`, `AD-07`).",
    "9-0": "`buildingNumber`",
    "9-1": "String",
    "9-2": "Building number.",
    "10-0": "`town`",
    "10-1": "String",
    "10-2": "City, town, or another settlement.",
    "11-0": "`townEn`",
    "11-1": "String",
    "11-2": "Automatic transliteration of the settlement into Latin characters.",
    "12-0": "`postCode`",
    "12-1": "String",
    "12-2": "Address postal code.",
    "13-0": "`country`",
    "13-1": "String",
    "13-2": "[ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example,  `DEU`, `GBR`, `ARG`).",
    "14-0": "`formattedAddress`",
    "14-1": "String",
    "14-2": "Address in a human-readable format. For example, `Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany`.",
    "15-0": "`locationPosition`",
    "15-1": "[Object](#locationposition-attributes)",
    "15-2": "Contains the`formattedAddress` field and the `locationCoords` object with the geographical coordinates of the specified address.",
    "16-0": "`providedLocationPosition`",
    "16-1": "Object",
    "16-2": "Contains the `locationCoords` [object](#locationcoords-attributes) with the geographical coordinates of the specified address.  \nFor example:  \n`\"providedLocationPosition\": { \"locationCoords\": { \"lat\": 30.436224, \"lon\": -97.742058 } }`.",
    "17-0": "`source`",
    "17-1": "String",
    "17-2": "<p>Indicates the source of the address data.</p><ul><li><code>manual</code> — The user manually entered the address (for example, in the applicant data form).</li><li><code>gps</code> — The address was derived from GPS coordinates (Geolocation as PoA).</li><li><code>externalDb</code> — The address was retrieved from an external database (Non-Doc Verification).</li><li><code>proofOfAddress</code> — The address was extracted from a proof of address document (for example, a utility bill or bank statement).</li><li><code>proofOfIdentity</code> — The address was extracted from an identity document (for example, a passport, ID card, residence permit, or driver's license).</li><li><p><code>autoComplete</code> — The address was filled using autocomplete.</p><p>⚠️ This is a rare case, as <code>autoComplete</code> is not currently assigned automatically by the system.</p></li></ul>"
  },
  "cols": 3,
  "rows": 18,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `locationPosition` attributes

| Field              | Type                                 | Description                                                                                                      |
| :----------------- | :----------------------------------- | :--------------------------------------------------------------------------------------------------------------- |
| `formattedAddress` | String                               | Address in a human-readable format. For example, `Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany`. |
| `locationCoords`   | [Object](#locationcoords-attributes) | Contains the geographical coordinates of the specified address.                                                  |

## `locationCoords` attributes

| Field | Type   | Description                                   |
| :---- | :----- | :-------------------------------------------- |
| `lat` | Double | Latitude of the position in decimal degrees.  |
| `lon` | Double | Longitude of the position in decimal degrees. |

## `nfcInfo` attributes

The following table explains the `nfcInfo` attributes representing the data extracted from the NFC chip of an identity document.

| Field     | Type    | Description                                                              |
| :-------- | :------ | :----------------------------------------------------------------------- |
| `fullMrz` | String  | Contains the full Machine-Readable Zone (MRZ) data from the ID document. |
| `imageId` | Integer | Unique identifier of the image that represents the uploaded document.    |

## `fixedInfo` attributes

The following table explains the `fixedInfo` object attributes — general applicant information that is submitted by the applicant via the [Web](/docs/web-sdk) or [Mobile](/docs/mobile-sdk) SDK or by you via [this API method](/reference/create-applicants). Sumsub should not change this information but use it to cross-validate with the data recognized from the applicant documents ([`info`](https://docs.sumsub.com/sumsub/reference/get-applicant-data#info-attributes)).

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `companyInfo`
      </td>

      <td>
        [Object](#companyinfo-attributes)
      </td>

      <td>
        The object contains general information about the company, such as the company name, location and country of registration, legal entity type, contacts and other details.
      </td>
    </tr>

    <tr>
      <td>
        `firstName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant first name in the original language. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `firstNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant first name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `middleName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant middle name in the original language. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `middleNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant middle name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `lastName`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant last name in the original language. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `lastNameEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant last name into Latin characters. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `aliasName`
      </td>

      <td>
        String
      </td>

      <td>
        Alternative first/last name.
      </td>
    </tr>

    <tr>
      <td>
        `parentName1`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant's parent name in the original language. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `parentName2`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant's parent name in the original language. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `legalName`
      </td>

      <td>
        String
      </td>

      <td>
        Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.

        Note that the `legalName` field is not checked and you might need it just in case.

        There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `gender`
      </td>

      <td>
        String
      </td>

      <td>
        Gender of the applicant (`M`, `F`, or `X`). This field is omitted if gender is not specified in the applicant profile.
      </td>
    </tr>

    <tr>
      <td>
        `dob`
      </td>

      <td>
        Date
      </td>

      <td>
        Applicant date of birth ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format `yyyy-MM-dd`, for example, `2001-09-25`).
      </td>
    </tr>

    <tr>
      <td>
        `placeOfBirth`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant place of birth. This can be a city, a town or another settlement type. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `placeOfBirthEn`
      </td>

      <td>
        String
      </td>

      <td>
        Automatic transliteration of the applicant place of birth. There is no length limit for this field.
      </td>
    </tr>

    <tr>
      <td>
        `countryOfBirth`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant country of birth. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example, `DEU`, `GBR`, `ARG`).
      </td>
    </tr>

    <tr>
      <td>
        `stateOfBirth`
      </td>

      <td>
        String
      </td>

      <td>
        State, region, district, county or another territorial entity of birth inside a country, if applicable.
      </td>
    </tr>

    <tr>
      <td>
        `country`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant country as provided by you or by the applicant. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example,  `DEU`, `GBR`, `ARG`). It may differ from the country of birth.&#x20;
      </td>
    </tr>

    <tr>
      <td>
        `nationality`
      </td>

      <td>
        String
      </td>

      <td>
        Applicant country of origin. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example,  `DEU`, `GBR`, `ARG`).
      </td>
    </tr>

    <tr>
      <td>
        `addresses`
      </td>

      <td>
        [Array of objects](#address-attributes-and-addresses-element-fields)
      </td>

      <td>
        Includes data objects containing the applicant address details provided by the applicant.
      </td>
    </tr>

    <tr>
      <td>
        `tin`
      </td>

      <td>
        String
      </td>

      <td>
        Taxpayer identification number that is unique to each taxpayer. Required if the company tax check is enabled for the applicant's country.
      </td>
    </tr>

    <tr>
      <td>
        `taxResidenceCountry`
      </td>

      <td>
        String
      </td>

      <td>
        Country where the applicant pays taxes. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code (for example, `DEU`, `GBR`, `ARG`).
      </td>
    </tr>

    <tr>
      <td>
        `tins`
      </td>

      <td>
        [Array of objects](#tins-element-fields)
      </td>

      <td>
        List of the applicant taxpayer identification numbers, present when the applicant has more than one TIN. Each entry carries its own country (see sub-table). The single `tin` / `taxResidenceCountry` pair mirrors the first entry (`tins[0]`).<br /><br />⚠️ This option is currently available only upon request to our support team or your CSM.
      </td>
    </tr>
  </tbody>
</Table>

# `tins` element fields

List of the applicant's taxpayer identification numbers, present when the applicant has more than one TIN.

⚠️ This option is currently available only upon request to our support team or your CSM.

| Field     | Type   | Description                                                                                                                                           |
| :-------- | :----- | :---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tin`     | string | Taxpayer identification number.                                                                                                                       |
| `country` | string | Country where this TIN applies, as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code (for example, `DEU`, `GBR`, `ARG`). |

## `agreement` attributes

> 🚧 Attention
>
> A new data format for the `agreement` object has been introduced (see the [following response examples](https://docs.sumsub.com/sumsub/reference/add-applicant-consent#response-examples) for details). The old format will be deprecated and no longer be supported starting June 10, 2025.
>
> Update your integration accordingly to ensure continued compatibility.

The following table explains the details of the applicant consent to the submitting and processing of personal data. Mind that the new `agreement` object includes an `items` array, where each object represents an individual consent event and may contain multiple agreements.

Objects in the `items` array are sorted chronologically, from oldest to newest.

Since an applicant can accept the same agreement multiple times, such instances are grouped within the same item.

**Grouping logic:**

* If you send different sets of agreements in separate requests, each set will be returned as a separate item in the response.
* If you send the same set of agreements more than once, a new item will not be created. Instead, the response will include the original item with the earliest `acceptedAt` timestamp.

| Field        | Type             | Description                                                                                                        |
| :----------- | :--------------- | :----------------------------------------------------------------------------------------------------------------- |
| `id`         | String           | Consent identifier.                                                                                                |
| `createdAt`  | Date             | Date and time (GMT) when consent for the submission and processing of personal data was given to the applicant.    |
| `acceptedAt` | Date             | Date and time (GMT) when the applicant confirmed their consent for the submission and processing of personal data. |
| `source`     | String           | Specifies the source from which the applicant confirmed the agreement (`WebSDK`, `MSDK`, `API`).                   |
| `type`       | String           | Indicates the way the agreement was obtained (for example, during onboarding, via reusable KYC, and so on).        |
| `recordIds`  | Array of strings | Each `recordId` corresponds to an individual accepted agreement text.                                              |

## `requiredIdDocs` attributes

The `requiredIdDocs` object represents the configuration of steps for the applicant to complete verification. It includes a set of required documents and data to provide.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`videoIdent`",
    "0-1": "Boolean",
    "0-2": "Specifies if the video identification is required (`true`) or not required (`false`) to pass verification.",
    "1-0": "`videoIdentSettings`",
    "1-1": "Object",
    "1-2": "<p>Contains the <code>resetAllStepsOnEachAttempt</code> boolean field that indicates whether each new <a href=\"doc:video-identification\">video identification</a> resubmission must start from the beginning with all required steps defined for the verification level, regardless of which steps were previously completed successfully.</p><ul><li>If enabled (<code>true</code>) — the applicant must repeat all verification steps on every new attempt from the beginning.</li><li>If disabled (<code>false</code>) — only incomplete or failed steps must be repeated.</li></ul><p>⚠️ This field is available only if the setting is configured for the level.</p>",
    "2-0": "`videoIdentUploadTypes`",
    "2-1": "Array of strings",
    "2-2": "Lists the document types that can be uploaded during a video interview, if such documents are specified in the level settings.  \n  \nThe field is available if the video identification is required on the level.",
    "3-0": "`stepsOutsideVideoId`",
    "3-1": "Array of strings",
    "3-2": "Lists the verification steps that can be passed outside the video identification.  \n  \nThe field is available if the video identification is required on the level.",
    "4-0": "`includedCountries`",
    "4-1": "Array of strings",
    "4-2": "Countries (in ISO 3166-1 alpha-3 country code, for example, `DEU`, `GBR`, `ARG`) that are included in the list of supported.",
    "5-0": "`excludedCountries`",
    "5-1": "Array of strings",
    "5-2": "Countries (in ISO 3166-1 alpha-3 country code, for example, `DEU`, `GBR`, `ARG`) that are excluded from the list of supported.",
    "6-0": "`docSets`",
    "6-1": "[Array of objects](#docsets-element-fields)",
    "6-2": "Includes the objects representing specific document sets and their attributes.",
    "7-0": "`kybSettings`",
    "7-1": "[Object](#kybsettings-attributes)",
    "7-2": "<p>Available for company applicants.</p><p>Includes the settings that are used to identify the types of company beneficiaries, to enable/disable company search in selected registry databases and automatic verification of the company's ownership and control structure.</p>"
  },
  "cols": 3,
  "rows": 8,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `docSets` element fields

The following table explains the element fields of the `docSets` array representing specific document sets and their attributes.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`idDocSetType`",
    "0-1": "String",
    "0-2": "A human-readable [identifier of the document set type](https://docs.sumsub.com/sumsub/reference/iddocsettypes) (for example, `IDENTITY`, `SELFIE`, `PROOF_OF_RESIDENCE`).",
    "1-0": "`types`",
    "1-1": "Array of strings",
    "1-2": "Includes the [types of documents](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-document-types) that are required for a particular `idDocSetType` to pass verification.",
    "2-0": "`subTypes`",
    "2-1": "Array of strings",
    "2-2": "List of [document subtypes](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-iddocsubtypes-for-company_doc) required for verification (applicable only to company documents).",
    "3-0": "`videoRequired`",
    "3-1": "String",
    "3-2": "Method of passing the document upload step that can be set up when [configuring a verification level](/docs/get-started-with-verification-level#configure-required-steps).<ul><li><code>disabled</code> — selfie with a document.</li><li><code>enabled</code> — video selfie with a phrase.</li><li><code>photoRequired</code> — web camera photo (still face image).</li><li><code>passiveLiveness</code> — <a href=\"/docs/liveness\">liveness check</a>.</li><li><code>docapture</code> — enables the camera for the steps with ID documents, so applicants can take pictures of their documents in real time.</li></ul>",
    "4-0": "`captureMode`",
    "4-1": "String",
    "4-2": "<p>Applicable only when <code>videoRequired=docapture</code>.</p><ul><li><code>manualAndAuto</code> — allows both to automatically capture the photo of a document when the camera is initialized, and for the applicant to hit a button to take a photo.</li><li><code>manualOnly</code> — allows only manually hitting a button to take a photo.</li><li><code>seamless</code> — Seamless ID Capture mode for <a href=\"doc:qualified-electronic-signature-qes-verification#qes-verification-faq\">QES</a>.</li></ul>",
    "5-0": "`uploaderMode`",
    "5-1": "String",
    "5-2": "<p>Applicable only when <code>videoRequired=docapture</code>.</p><ul><li><code>always</code> — always allows uploading a ready-made photo instead of using a camera.</li><li><code>never</code> — does not allow uploading a ready-made photo.</li><li><code>fallback</code> — allows uploading a ready-made photo only if a camera is not available.</li></ul>",
    "6-0": "`fields`",
    "6-1": "[Array of objects](#fields-element-fields)",
    "6-2": "Contains objects that define the document data fields to be populated with personal information for verifying the applicant during the **Applicant data** verification step.",
    "7-0": "`customFields`",
    "7-1": "[Array of objects](#customfields-element-fields)",
    "7-2": "Contains objects that describe custom fields if they are created for the **Applicant data** verification step.",
    "8-0": "`questionnaireDefId`",
    "8-1": "String",
    "8-2": "Identifier of the questionnaire that is added to the verification level and is to be or has already been filled by the applicant.",
    "9-0": "`questionnaireProcessingSettings`",
    "9-1": "Object",
    "9-2": "Contains configuration parameters for the `QUESTIONNAIRE` step that modify how previously submitted questionnaire answers are handled.",
    "10-0": "`skipIfFilled`",
    "10-1": "Boolean",
    "10-2": "Defines whether the `QUESTIONNAIRE` step should be automatically accepted (`true`) or not (`false`) if the applicant has previously completed the same questionnaire.",
    "11-0": "`poaStepSettingsId`",
    "11-1": "String",
    "11-2": "Identifier of the selected [Proof of Address preset](https://docs.sumsub.com/sumsub/docs/customize-supported-address-documents#create-poa-preset).",
    "12-0": "`companyBeneficiaryDefinitions`",
    "12-1": "[Array of objects](#companybeneficiarydefinitions-element-fields)",
    "12-2": "Specification of level steps to be fulfilled. Stands for **Associated parties**.  \n  \nAvailable for company applicants.",
    "13-0": "`companyDocsGroupDefinitions`",
    "13-1": "[Array of objects](#companydocsgroupdefinitions-element-fields)",
    "13-2": "Definitions of the required document groups for verification.  \n  \nAvailable for company applicants.",
    "14-0": "`captureParams`",
    "14-1": "Object",
    "14-2": "<p>Describes the capture method and related settings for this step.</p><p>Contains the <code>inputType</code> enum attribute, which defines how data is captured. Possible values:</p><ul><li><code>fileUpload</code> — upload a file.</li><li><code>cameraStream</code> — capture a web camera photo or a short video fragment.</li><li><code>liveness</code> — perform an advanced liveness check.</li><li><code>docapture</code> — perform live document capture.</li></ul><p>If <code>inputType=cameraStream</code>, the <code>cameraStream.contentType</code> field is returned:</p><ul><li><code>image</code> — for web camera photo</li><li><code>video</code> — for short video fragment.</li></ul><p>If <code>inputType=docapture</code>, the <code>docapture.captureMode</code> and <code>docapture.uploaderMode</code> fields are returned.</p>",
    "15-0": "`ekycAllowed`",
    "15-1": "Boolean",
    "15-2": "Indicates if [Non-Doc Verification](https://docs.sumsub.com/sumsub/docs/no-document-verification) for the step is allowed (`true`) or not (`false`).",
    "16-0": "`checkSourceSettings`",
    "16-1": "Object",
    "16-2": "Describes the configuration of the [Database Validation](https://docs.sumsub.com/sumsub/docs/database-validation) setting for the verification level.",
    "17-0": "`esignSettings`",
    "17-1": "Object",
    "17-2": "Contains configuration for the [E-sign verification step](https://docs.sumsub.com/sumsub/docs/qualified-electronic-signature-qes-verification), including objects that define the document to be signed (ID and name) and signature settings.",
    "18-0": "`restrictCountries`",
    "18-1": "Boolean",
    "18-2": "Returns `true` if the verification step [restricts applicants from specific countries](https://docs.sumsub.com/sumsub/docs/configure-verification-levels#location-settings). Otherwise the field is not returned.",
    "19-0": "`skipAllowed`",
    "19-1": "Boolean",
    "19-2": "Indicates whether this verification step can be skipped (`true`) or not (`false`).  \n  \nAvailable only for steps that support the skip option.",
    "20-0": "`nfcVerificationSettings`",
    "20-1": "Object",
    "20-2": "<p>Contains the <code>mode</code> parameter that defines <a href=\"doc:nfc-based-id-verification\">NFC-based ID verification</a> behavior. Possible values:\n</p><ul><li><code>disabled</code> — NFC chip reading is not requested from applicants.</li><li><code>optional</code> — if the document contains an NFC chip, the system requests a chip reading. Applicants may complete or skip this step. If skipped or if scanning fails, verification continues using the standard document-based flow.</li><li><code>required</code> — if the document contains an NFC chip, the system requires a successful chip reading. Skipping or fallback to document-based verification is not allowed.</li></ul>",
    "21-0": "`phoneVerificationSettings`",
    "21-1": "Object",
    "21-2": "<p>Contains the <code>immutablePhoneIfPresent</code> boolean field, which controls whether applicants can edit their pre-filled phone number.</p><ul><li><code>true</code> — editing is disabled.</li><li><code>false</code> — editing is allowed.</li><li><b>not returned</b> — editing is allowed, or the setting is not supported for the verification step.</li></ul>",
    "22-0": "`emailVerificationSettings`",
    "22-1": "Object",
    "22-2": "<p>Contains the <code>immutableEmailIfPresent</code> boolean field, which controls whether applicants can edit their pre-filled email address.</p><ul><li><code>true</code> — editing is disabled.</li><li><code>false</code> — editing is allowed.</li><li><b>not returned</b> — editing is allowed, or the setting is not supported for the verification step.</li></ul>",
    "23-0": "`selfieProcessingSettings`",
    "23-1": "Object",
    "23-2": "<p>Contains the <code>skipLivenessCheck</code> boolean field, which indicates whether the <b>Skip liveness check</b> setting is enabled.</p><ul><li><code>true</code> — enabled.</li><li><code>false</code> — disabled.</li><li><b>not returned</b> — disabled, or the setting is not supported for the verification step.</li></ul>",
    "24-0": "`applicantDataSettings`",
    "24-1": "Object",
    "24-2": "<p>Contains the <code>prefill</code> boolean field, which indicates whether the applicant data form is prefilled in the SDK step.</p><ul><li><code>true</code> — pre-fill is enabled.</li><li><code>false</code> — pre-fill is disabled.</li><li><b>not returned</b> — pre-fill is disabled, or the setting is not supported for the verification step.</li></ul>"
  },
  "cols": 3,
  "rows": 25,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `fields` element fields

The following table explains the `fields` element fields.

| Field                | Type    | Description                                                                                                       |
| :------------------- | :------ | :---------------------------------------------------------------------------------------------------------------- |
| `name`               | String  | Field name (for example, `firstName`, `lastName`, `email`).                                                       |
| `required`           | Boolean | `true` if the field is required for verification, `false` if not (still, it can be optionally filled in the SDK). |
| `prefill`            | Boolean | `true` if the field is pre-populated in the SDK, `false` if not.                                                  |
| `immutableIfPresent` | Boolean | `true` if the field is locked and cannot be edited by the applicant; `false` otherwise.                           |

## `customFields` element fields

The following table explains the `customFields` element fields.

| Field         | Type    | Description                                                                                                               |
| :------------ | :------ | :------------------------------------------------------------------------------------------------------------------------ |
| `name`        | String  | System name of the custom field.                                                                                          |
| `displayName` | String  | Name of the field as it is shown to the applicant.                                                                        |
| `required`    | Boolean | Returns `true` if the field is required for verification, `false` if not (still, it can be optionally filled in the SDK). |

## `companyBeneficiaryDefinitions` element fields

The following table explains the `companyBeneficiaryDefinitions` element fields.

| Field        | Type                                         | Description                                                              |
| :----------- | :------------------------------------------- | :----------------------------------------------------------------------- |
| `category`   | String                                       | Beneficiary role name (`ubos`, `shareholders`, `directors`).             |
| `canSkip`    | Boolean                                      | Indicates if it is skippable via SDK: `true` — yes, `false` — no.        |
| `individual` | [Object](#individual-and-company-attributes) | Contains information on the associated party as an individual applicant. |
| `company`    | [Object](#individual-and-company-attributes) | Contains information on the associated party as a company applicant.     |

## `individual` and `company` attributes

the following table explains the `individual` and `company` attributes.

| Field          | Type                                             | Description                                                                                                                                       |
| :------------- | :----------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------ |
| `enabled`      | Boolean                                          | Nested KYC (for individuals) or KYB (for companies) verification enabled for this role: `true` — yes, `false` — no.                               |
| `levelName`    | String                                           | Name of the verification level. There is no length limit for this field.                                                                          |
| `fields`       | [Array of objects](#fields-element-fields)       | Includes the objects describing the data fields that should be filled with personal information to verify the applicant.                          |
| `customFields` | [Array of objects](#customfields-element-fields) | Includes the objects each of those represents an additional custom field (`applicantIdDocSetCustomField`) that should be filled for verification. |

## `companyDocsGroupDefinitions` element fields

The following table explains the `companyDocsGroupDefinitions` element fields.

| Field      | Type             | Description                                                                                                                                                                               |
| :--------- | :--------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `label`    | String           | Label of the document group. Available labels: `legalPresence`, `companyDetails`, `ownershipStructure`, `controlStructure`, `representativesAuthorization`, `other1`, `other2`, `other3`. |
| `subTypes` | Array of strings | List of [document types](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-iddocsubtypes-for-company_doc) included into the verification group.                                                    |
| `required` | Boolean          | Indicates if this is required (`true`) or optional (`false`).                                                                                                                             |

## `kybSettings` attributes

The following table explains the `kybSettings` attributes.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`shareholderThreshold`",
    "0-1": "Integer",
    "0-2": "Ownership percentage threshold used to classify an individual beneficiary as a shareholder.  \n  \nIf `shareholderThreshold` is less and `uboThreshold` is greater than the ownership percentage, then the individual is a shareholder.  \n  \nCompanies are always classified as shareholders.",
    "1-0": "`uboThreshold`",
    "1-1": "Integer",
    "1-2": "Ownership percentage threshold used to classify an individual beneficiary as a UBO (Ultimate Beneficial Owner).  \n  \nIf the ownership percentage is greater than or equal to `uboThreshold`, then the individual is a UBO.  \n  \nCompanies are always classified as shareholders.",
    "2-0": "`disableCompanySearchAndPrefill`",
    "2-1": "Boolean",
    "2-2": "Indicates whether company search in selected corporate registry databases for pre-filling company and associated parties’ data is disabled (`true`) or enabled (`false`).",
    "3-0": "`enableBeneficiariesAutoCheck`",
    "3-1": "Boolean",
    "3-2": "<p>Indicates whether automatic verification of the company’s ownership and control structure against selected corporate registries is enabled.</p><ul><li>When enabled (<code>true</code>), the system compares the applicant-provided ownership and management information (for example, shareholders and directors) with official registry data and flags discrepancies.</li><li>When disabled (<code>false</code>), this verification is not performed.</li></ul>"
  },
  "cols": 3,
  "rows": 4,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `review` attributes

The following table explains the `review` object attributes that represent the details of the current applicant verification status and check result.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`reviewId`",
    "0-1": "String",
    "0-2": "Unique identifier of the applicant profile review in the Sumsub system.",
    "1-0": "`levelName`",
    "1-1": "String",
    "1-2": "Name of the [verification level](/docs/verification-levels) the applicant has to go through. There is no length limit for this field.",
    "2-0": "`attemptId`",
    "2-1": "String",
    "2-2": "Unique identifier of the current verification attempt.  \n  \nApplicants may initiate several attempts to get verified if, for example, they failed once or changed/added the documents, or you could change the verification level to start another check.",
    "3-0": "`attemptCnt`",
    "3-1": "Integer",
    "3-2": "Counting number of the current verification attempt on the same verification level.",
    "4-0": "`elapsedSincePendingMs`",
    "4-1": "Long",
    "4-2": "Elapsed time since the applicant verification passed to the `pending` status.",
    "5-0": "`createDate`",
    "5-1": "Date",
    "5-2": "Date and time (UTC) when the applicant profile was created in the Sumsub system.",
    "6-0": "`reviewDate`",
    "6-1": "Date",
    "6-2": "Date and time (UTC) when the current applicant check was completed.",
    "7-0": "`reviewResult`",
    "7-1": "[Object](#reviewresult-attributes)",
    "7-2": "Contains extra details of the applicant verification result.",
    "8-0": "`reviewStatus`",
    "8-1": "String",
    "8-2": "Indicates the applicant [review status](/reference/get-applicant-review-status#possible-review-statuses)."
  },
  "cols": 3,
  "rows": 9,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `reviewResult` attributes

The following table explains the `reviewResult` attributes representing the applicant verification result details.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`reviewAnswer`",
    "0-1": "String",
    "0-2": "Explains the review result. <ul><li><code>GREEN</code> — the applicant is approved.</li><li><code>RED</code> — the applicant is declined.</li></ul>",
    "1-0": "`rejectLabels`",
    "1-1": "Array of strings",
    "1-2": "Includes one or more reasons for rejection. The field is available if `reviewAnswer` returns `RED`.  \n  \nFor more information, see [Resubmission requested](https://docs.sumsub.com/sumsub/reference/resubmission-requested)  and [Rejected](https://docs.sumsub.com/sumsub/reference/rejected) .",
    "2-0": "`reviewRejectType`",
    "2-1": "String",
[...]
